TAPE390_DISPLAY(8)

NAME
tape390_display - display messages on the display unit of a zSeries tape device.

SYNOPSIS

tape390_display
    [-b|--blink]
    [-h|--help]
    [-l|--load]
    [-t<type>|--type<type>]
    [-q|--quiet]
    [-v|--version]
    message1 [ message2 ] device

DESCRIPTION
tape390_display displays one or two 8-byte messages on the display unit of a zSeries tape device. Characters to be displayed include capital letters A-Z, numerics 0-9 and special characters. However some special characters may not display on all device types. The characters that should display on model 3490 are:
    '@$#,./()*&+-=%|:_<>?;' and the <cent> character.
Spaces and shell-sensitive characters have to be quoted.

OPTIONS

-h or --help
    Print help text.

-b or --blink
    Display message1 repeatedly for 2 seconds at half-second intervals. This option is ignored if two messages are specified on command line.

-l or --load
    If this option is given the display request will cause a load request to be sent to the automatic tape loader (if installed). The next indexed tape will then be loaded if the loader is in 'system' mode. Otherwise the request is ignored.

-q or --quiet
    This option causes the command to run in quiet mode which will suppress all warning messages.

-t type or --type type
    Set the type of the message to be displayed. This influences how long the message(s) stay on the display. Available types are:

    standard
        The message(s) stay displayed until the drive executes the next tape movement command. This is the default.

    load
        Displays the message(s) until a tape is loaded. If there already is a tape loaded to the device, nothing is displayed at all.

    unload
        This will display the message(s) until currently loaded tape is unloaded. Again, if the drive is currently unloaded there is no output at all.

    noop
        For testing purposes only, this will access the drive but won't do anything at all (no operation). This doesn't seem to work with 3590 tape devices.

    reload
        This display type requires two messages. The first message is displayed as long as there is a tape loaded up to the time the unload operation is completed (or, if there isn't a tape loaded, it will be ignored). The second message is displayed as soon as a tape gets loaded into the drive.

-v or --version
    Print the S/390 tools package version, the utility version and exit.

message1 [ message2 ]
    The message(s) to be displayed. They stay displayed until either the ending condition for the message type takes place or the display is updated with another message.
    If two messages are specified, they are alternated on the display. Each message is then displayed repeatedly for 2 seconds at half-second intervals.

device
    The tape device on which the message(s) will be displayed, e.g.:

        /dev/ntibm0

EXAMPLES
tape390_display --blink --type unload "TESTING" /dev/ntibm0
    Let the message TESTING blink on the display of the tape unit until the tape is removed (or another message is given). If there is no tape in the drive, nothing happens.
tape390_display "BACKUP" "COMPLETE" /dev/ntibm0
    This will display the messages BACKUP and COMPLETE each for 2 seconds until the tape is moved, ejected or (if there isn't a tape in the device) inserted.
tape390_display --type reload "UNLOAD" "LOAD" /dev/ntibm0
    The UNLOAD message will be displayed if there is a tape inserted and as long as the tape isn't removed. After that the LOAD message is displayed until a tape is inserted. If there is no tape inserted when the command
tape390_display --load --type load "LOADING" /dev/ntibm0
    Causes the device to display the message LOADING until a tape is inserted and to instruct the automatic stacker to load the next tape (if the mode of operation is system). If there already is a tape loaded, nothing will happen at all.

AUTHOR
This man-page was written by Despina Papadopoulou<despina_p@de.ibm.com>
Updates by Stefan Bader<shbader@de.ibm.com>